summaryrefslogtreecommitdiffstats
path: root/linux/bin
diff options
context:
space:
mode:
authorpascal <pascal@b9310e46-f624-0410-8ea1-cfbb3a30dc96>2009-01-04 23:09:59 +0000
committerpascal <pascal@b9310e46-f624-0410-8ea1-cfbb3a30dc96>2009-01-04 23:09:59 +0000
commit98c3da6758d97eb87bc78b38b18783d0a35037d5 (patch)
tree257dcd21b06e543c10da8adf05a3b057de8bfc6f /linux/bin
parentaf1ae9306f9ab66e93d7efbc704d08ac23258777 (diff)
Kein Abbruch bei numlockx und xset nötig, da NEO dennoch funktioniert
git-svn-id: https://svn.neo-layout.org@1369 b9310e46-f624-0410-8ea1-cfbb3a30dc96
Diffstat (limited to 'linux/bin')
-rwxr-xr-xlinux/bin/asdf10
1 files changed, 5 insertions, 5 deletions
diff --git a/linux/bin/asdf b/linux/bin/asdf
index 0c3ab46..d0b53db 100755
--- a/linux/bin/asdf
+++ b/linux/bin/asdf
@@ -41,8 +41,8 @@ die() {
}
numlock_manually() {
- echo "$1"
- echo "Please turn Numlock $2 and press ›Enter‹ to continue."
+ echo "$1" >&2
+ echo "Please turn Numlock $2 and press ›Enter‹ to continue." >&2
read
}
@@ -106,13 +106,13 @@ else
if [ -e "${PATH_XSET}" ]; then
for modifier in 51 94; do
- "${PATH_XSET}" -r ${modifier} || die "Failed to unset repeat for modifier ${modifier}."
+ "${PATH_XSET}" -r ${modifier} || echo "Failed to unset repeat for modifier ${modifier}." >&2
done
for deadkey in 21 35 49; do
- "${PATH_XSET}" -r ${deadkey} || die "Failed to unset repeat for deadkey ${deakey}."
+ "${PATH_XSET}" -r ${deadkey} || echo "Failed to unset repeat for deadkey ${deakey}." >&2
done
else
- die "xset not found, cannot set modifiers and dead keys."
+ echo "xset not found, cannot set modifiers and dead keys." >&2
fi
case "${NEO_X_VARIANTE}" in